document.getElementById('decision-form').addEventListener('submit', function(e) {
  e.preventDefault();
  
  // Get input values
  const phdYears = parseFloat(document.getElementById('phd-years').value);
  const currentIncome = parseFloat(document.getElementById('current-income').value);
  const ofGoal = parseFloat(document.getElementById('of-goal').value);
  const riskTolerance = parseFloat(document.getElementById('risk-tolerance').value);
  
  // Calculations
  const phdEarnings = currentIncome * 12 * phdYears;
  const phdStress = Math.min(10, phdYears * 1.5);
  
  const ofEarnings = ofGoal * 12 * phdYears;
  const ofStress = Math.min(10, (10 - riskTolerance) * 1.2);
  
  // Display results
  document.getElementById('phd-earnings').textContent = phdEarnings.toLocaleString();
  document.getElementById('phd-stress').textContent = phdStress.toFixed(1);
  document.getElementById('of-earnings').textContent = ofEarnings.toLocaleString();
  document.getElementById('of-stress').textContent = ofStress.toFixed(1);
  
  // Determine verdict
  const verdict = document.getElementById('verdict-text');
  if (ofEarnings > phdEarnings * 1.5 && riskTolerance >= 7) {
    verdict.textContent = "Go for OnlyFans! 🎉";
    verdict.style.color = "var(--accent-color)";
  } else if (ofEarnings > phdEarnings && riskTolerance >= 5) {
    verdict.textContent = "Maybe try OnlyFans part-time? 🤔";
    verdict.style.color = "var(--secondary-color)";
  } else {
    verdict.textContent = "Stick with the PhD for now. 🎓";
    verdict.style.color = "var(--primary-color)";
  }
  
  // Show results
  document.getElementById('results').classList.remove('hidden');
});